Bug 487908 - Xorg Keyboard Freezes (mouse still works)
Xorg Keyboard Freezes (mouse still works)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-01 04:43 EST by Scott West
Modified: 2009-05-08 18:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-08 18:02:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log from a crash instance (74.68 KB, text/plain)
2009-03-01 04:43 EST, Scott West
no flags Details

  None (edit)
Description Scott West 2009-03-01 04:43:17 EST
Created attachment 333639 [details]
Xorg log from a crash instance

Description of problem:
Keyboard becomes unresponsive intermittently in X.

Version-Release number of selected component (if applicable):


How reproducible:
Unfortunately, it doesn't seem to have a pattern.


Steps to Reproduce:
1. General usage, no specific causes that I could tell.
  
Actual results:
The keyboard becomes unresponsive. Alt-tabbing and input into any area that would normally react to the keyboard doesn't work. EXCEPT Ctrl-Alt-F2 to switch to the console has worked so far, so I can kill the session and come back.

The mouse still functions, in fact it usually behaves as if Alt were being held down, as the cursor turns to the ``move window'' cursor when the mouse is used on them while the keyboard is unresponsive. This hasn't happened before in Fedora 10, so I assume this is not a physical keyboard problem.

Sometimes the session also kills itself shortly (maybe a minute) after the symptoms appear.


Expected results:
The keyboard not doing the above...


Additional info:
I am running KDE 4.2, I'm not sure if it has any direct control over the keyboard. dmesg seems to show no kernel-y problems during the keyboard stoppage.
Comment 1 Matěj Cepl 2009-03-05 04:19:18 EST
This is some kind of SELinux geekery. Assigning.
Comment 2 Adam Jackson 2009-05-08 18:02:06 EDT
SELinux for X disabled by default in rawhide, closing.

Note You need to log in before you can comment on or make changes to this bug.